/***********************************************************
Provides functionality for motor PWM generation

William Westrick
Nicole Rodia
************************************************************/

//define period of PWM generation 100kHz / 100 -> 1kHz
#define MAX_PWM_TIME 100

//define direction for each motor,
//this is also the pin that each half bridge is connected to
#define MOTOR1_FWD 0b00100000
#define MOTOR1_REV 0b00010000
#define MOTOR2_FWD 0b00001000
#define MOTOR2_REV 0b00000100
#define MOTOR3_FWD 0b00000010
#define MOTOR3_REV 0b00000001

/***********************************************************
* VARIABLES
************************************************************/
//global variables for counters and timers
volatile unsigned char PWM_time;
volatile unsigned char motor1_PWM, motor2_PWM, motor3_PWM;
volatile unsigned char motor1_DIR, motor2_DIR, motor3_DIR;
volatile unsigned char motor1_PWM_counter, motor2_PWM_counter, motor3_PWM_counter;

/***********************************************************
* FUNCTION PROTOTYPES
************************************************************/
//initialize the motors
void initializeMotors(void);
//set the output of a motor
void SetOutput(unsigned char num, signed char value);
