/***********************************************************
Header file for UART functionality 

William Westrick
Nicole Rodia
************************************************************/
#ifndef UART_H	//keep redefinitions out
#define UART_H

/* UART baud rate */
//38400 has 0.16% clock error
//9600 also has  0.16% clock error
#define UART_BAUD  38400

#define RX_BUFFER_SIZE 250		//big buffer, plenty of ram to hold it
#define TX_BUFFER_SIZE 250		//big buffer, plenty of ram to hold it

//buffer containing the received data
volatile unsigned char rx_received[RX_BUFFER_SIZE];

//buffer containing the data to be sent
volatile unsigned char tx_buffer[TX_BUFFER_SIZE];

//flag that complete data has been received
volatile unsigned int rx_flag_received;
//flag that there is data to send
volatile unsigned int tx_flag_tosend;

//length of the received data
volatile unsigned int rx_length_received;
//remaining length to transmit
volatile unsigned int tx_length_remaining;

//function prototypes:
//initialize uart
void uart_init(void);
//send a string
unsigned char uart_send_str(volatile char *str, unsigned int length);

#endif
